Read a person
curl --request GET \
--url https://api.bachs.io/v1/accounts/{account_id}/persons/{person_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bachs.io/v1/accounts/{account_id}/persons/{person_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bachs.io/v1/accounts/{account_id}/persons/{person_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bachs.io/v1/accounts/{account_id}/persons/{person_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "per_3a91c0d7",
"first_name": "Ada",
"last_name": "Obi",
"dob": "1990-04-12",
"address": {
"line1": "14 Balogun Street",
"city": "Lagos",
"state": "Lagos",
"postal_code": "101241",
"country": "NG"
},
"phone": "+2348012345678",
"email": "ada@example.com",
"id_number_provided": true,
"relationship": {
"representative": true,
"owner": true,
"director": false,
"executive": false,
"percent_ownership": 60,
"title": "Founder"
},
"verification": {
"status": "verified",
"document_provided": true,
"failure_reason": null
},
"created_at": "2026-08-10T09:31:12.000Z",
"updated_at": "2026-08-11T14:05:40.219Z"
}{
"detail": "Invalid API key",
"error_code": "UNAUTHORIZED"
}{
"detail": "API key does not have permission for this operation",
"error_code": "FORBIDDEN"
}{
"detail": "Resource not found",
"error_code": "NOT_FOUND"
}{
"detail": "Rate limit exceeded. Please retry after a few seconds.",
"error_code": "TOO_MANY_REQUESTS"
}Persons
Read a person
Read one person. Requirement keys are anchored to the person id, so persons.per_3a91c0d7.id_document names exactly who this is about.
GET
/
v1
/
accounts
/
{account_id}
/
persons
/
{person_id}
Read a person
curl --request GET \
--url https://api.bachs.io/v1/accounts/{account_id}/persons/{person_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bachs.io/v1/accounts/{account_id}/persons/{person_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bachs.io/v1/accounts/{account_id}/persons/{person_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bachs.io/v1/accounts/{account_id}/persons/{person_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "per_3a91c0d7",
"first_name": "Ada",
"last_name": "Obi",
"dob": "1990-04-12",
"address": {
"line1": "14 Balogun Street",
"city": "Lagos",
"state": "Lagos",
"postal_code": "101241",
"country": "NG"
},
"phone": "+2348012345678",
"email": "ada@example.com",
"id_number_provided": true,
"relationship": {
"representative": true,
"owner": true,
"director": false,
"executive": false,
"percent_ownership": 60,
"title": "Founder"
},
"verification": {
"status": "verified",
"document_provided": true,
"failure_reason": null
},
"created_at": "2026-08-10T09:31:12.000Z",
"updated_at": "2026-08-11T14:05:40.219Z"
}{
"detail": "Invalid API key",
"error_code": "UNAUTHORIZED"
}{
"detail": "API key does not have permission for this operation",
"error_code": "FORBIDDEN"
}{
"detail": "Resource not found",
"error_code": "NOT_FOUND"
}{
"detail": "Rate limit exceeded. Please retry after a few seconds.",
"error_code": "TOO_MANY_REQUESTS"
}Authorizations
Bearer token authentication. Pass your API key as Authorization: Bearer sk_.... See Authentication for keys, scopes, and sandbox vs production.
Path Parameters
Response
The person.

